Class | Amalgalite::Requires
In: | lib/amalgalite/requires.rb lib/amalgalite/requires.rb
Parent: | Object

Requires encapsulates requiring items from the database

### Methods

db_connection_to db_connection_to load_path load_path load_path_db_connections load_path_db_connections new new require require require require requiring requiring sql sql

### Attributes

compressed_column | [R] |
compressed_column | [R] |
contents_column | [R] |
contents_column | [R] |
db_connection | [R] |
db_connection | [R] |
dbfile_name | [R] |
dbfile_name | [R] |
filename_column | [R] |
filename_column | [R] |
table_name | [R] |
table_name | [R] |

### Public Class methods

db_connection_to( dbfile_name )

Allocate a database connection to the given filename

db_connection_to( dbfile_name )

Allocate a database connection to the given filename

load_path()
load_path()
load_path_db_connections()
load_path_db_connections()
new( opts = {} )
new( opts = {} )
require( filename )
require( filename )
requiring()

Setting a class level variable as a flag to know what we are currently in the middle of requiring

requiring()

Setting a class level variable as a flag to know what we are currently in the middle of requiring

### Public Instance methods

require( filename )

load a file in this database table. This will check and see if the file is already required. If it isn‘t it will select the contents associated with the row identified by the filename and eval those contents within the context of TOPLEVEL_BINDING. The filename is then appended to $LOADED_FEATURES.

if the file was required then true is returned, otherwise false

require( filename )

load a file in this database table. This will check and see if the file is already required. If it isn‘t it will select the contents associated with the row identified by the filename and eval those contents within the context of TOPLEVEL_BINDING. The filename is then appended to $LOADED_FEATURES.

if the file was required then true is returned, otherwise false

sql()

return the sql to find the file contents for a file in this requires

sql()

return the sql to find the file contents for a file in this requires

[Validate]